Migrating to 0.9.1

After migrating to 0.9.1, I got:

usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:123:in
`const_missing’: uninitialized constant TokenFilter (NameError)

Here is a snapshot of my code:

require ‘ferret’

class MyFilter < Analysis::TokenFilter

I works fine on my dev machine, but not a production server (shared
host).
Any idea?

You’ll have to wait for 0.9.2. Sorry for the trouble. There are still
a few things missing from the C version of Ferret.

Regards,
Dave

hi david,
will 0.9.2 contain defining our own analyzers, filters and tokenizers?

On 4/28/06, Onur T. [email protected] wrote:

hi david,
will 0.9.2 contain defining our own analyzers, filters and tokenizers?

Yes. But there are still a few buts in there. If you run into any
problems I’d recommend sticking with pure ruby version.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs